org.apache.flume.instrumentation.kafka

## Class KafkaSourceCounter

- java.lang.Object
- - org.apache.flume.instrumentation.MonitoredCounterGroup
  - - org.apache.flume.instrumentation.SourceCounter
    - - org.apache.flume.instrumentation.kafka.KafkaSourceCounter

- All Implemented Interfaces:
    KafkaSourceCounterMBean, SourceCounterMBean

      public class KafkaSourceCounter
      extends SourceCounter
      implements KafkaSourceCounterMBean

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.flume.instrumentation.MonitoredCounterGroup

      `MonitoredCounterGroup.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KafkaSourceCounter(String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `addToKafkaCommitTimer(long delta)`
    `long` | `addToKafkaEventGetTimer(long delta)`
    `long` | `getKafkaCommitTimer()`
    `long` | `getKafkaEmptyCount()`
    `long` | `getKafkaEventGetTimer()`
    `long` | `incrementKafkaEmptyCount()`

    - ### Methods inherited from class org.apache.flume.instrumentation.SourceCounter

      `addToEventAcceptedCount, addToEventReceivedCount, getAppendAcceptedCount, getAppendBatchAcceptedCount, getAppendBatchReceivedCount, getAppendReceivedCount, getEventAcceptedCount, getEventReceivedCount, getOpenConnectionCount, incrementAppendAcceptedCount, incrementAppendBatchAcceptedCount, incrementAppendBatchReceivedCount, incrementAppendReceivedCount, incrementEventAcceptedCount, incrementEventReceivedCount, setOpenConnectionCount`

    - ### Methods inherited from class org.apache.flume.instrumentation.MonitoredCounterGroup

      `addAndGet, get, getStartTime, getStopTime, getType, increment, set, start, stop, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.flume.instrumentation.kafka.KafkaSourceCounterMBean

      `getAppendAcceptedCount, getAppendBatchAcceptedCount, getAppendBatchReceivedCount, getAppendReceivedCount, getEventAcceptedCount, getEventReceivedCount, getOpenConnectionCount, getStartTime, getStopTime, getType`

    - ### Methods inherited from interface org.apache.flume.instrumentation.SourceCounterMBean

      `getStartTime, getStopTime, getType`

- - ### Constructor Detail

    - #### KafkaSourceCounter

          public KafkaSourceCounter(String name)

  - ### Method Detail

    - #### addToKafkaEventGetTimer

          public long addToKafkaEventGetTimer(long delta)

    - #### addToKafkaCommitTimer

          public long addToKafkaCommitTimer(long delta)

    - #### incrementKafkaEmptyCount

          public long incrementKafkaEmptyCount()

    - #### getKafkaCommitTimer

          public long getKafkaCommitTimer()

      Specified by:
        `getKafkaCommitTimer` in interface `KafkaSourceCounterMBean`

    - #### getKafkaEventGetTimer

          public long getKafkaEventGetTimer()

      Specified by:
        `getKafkaEventGetTimer` in interface `KafkaSourceCounterMBean`

    - #### getKafkaEmptyCount

          public long getKafkaEmptyCount()

      Specified by:
        `getKafkaEmptyCount` in interface `KafkaSourceCounterMBean`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.